' esprestart.bas - restart the esp
' written by Rich Martin (datawiz) August 2020
'
option explicit
option default none

#include "esp8266var.inc"

dim COM_PORT$ = "COM2"								' replace with the COM port you have the esp connected to
dim COM_SPEED$ = "115200"							' default baud rate for the esp
dim COM_BUFFER$ = "256"

esp.var.com.filenum% = 5
open COM_PORT$+":"+COM_SPEED$+","+COM_BUFFER$+",esp.input.loop" as esp.var.com.filenum%

esp.var.echo% = 0
esp.echo.set("OFF")
esp.var.waitfor.mode% = esp.waitfor.mode.normal
esp.wifi.restart
print "> esp has been reset"
close esp.var.com.filenum%
end

#include "esp8266lib.inc"