' Variables for esp8266 Library version 1.0.00
' Written by Rich Martin (datawiz) August 2020
'

	' modes used in esp.waitfor()
const esp.waitfor.mode.mux		= -2
const esp.waitfor.mode.match	= -1
const esp.waitfor.mode.normal	=  0

	' as a server, the client connection number
dim esp.var.tcp.server.con% = -1

	' as a server, the client send length in bytes
dim esp.var.tcp.server.len% = -1

	' the file number used for the OPEN 
dim esp.var.com.filenum% = 5

	' data returned from the esp.waitfor() routine
dim esp.var.waitfor.buffer$

	' used in esp.waitfor() to return a large amount of data
dim esp.var.waitfor.buffer.big%(2000)

	' timeout value for network calls
dim esp.var.timeout% = 2000

	' return value from network sub routines, typically will be "" if successful
dim esp.var.return$ = ""

	' debug mode
dim esp.var.debug% = 0

	' determines if the esp.input.loop routine prints data it receives from the esp, 1=on 0=off
dim esp.var.echo% = 1

	' determines if crlf is sent to the esp 1=crlf on, 0=crlf off
dim esp.var.crlf% = 0

	' the string to match against in the esp.waitfor() routine
dim esp.var.waitfor.match$ = ""

	' used to set the response mode for esp.waitfor() routine (normal, match, # of bytes, mux)
dim esp.var.waitfor.mode% = 0

	' flag to sync the main program to the esp.input.loop during esp.waitfor() in mode match, 0=waitfor loop done, 1=waitfor loop running
dim esp.var.waitfor.done% = 0

	' number of bytes read from esp.waitfor() routine
dim esp.var.bytecounter% = 0

' in your program, make sure to define and set SERVER_IP$ and SERVER_PORT$, which are also used in this library
'dim SERVER_IP$ = "192.168.1.100"
'dim SERVER_PORT$ = "6000"