#!C:\Python27\python.exe

# Written by Rich Martin (datawiz) August 2020
# Use with getfile.bas on the CMM2

import socket, sys, time, os
from functools import partial

TCP_IP = '0.0.0.0'
TCP_PORT = 6502
BUFFER_SIZE = 20
DIR = 'UL'
CHUNKSIZE = 1400		# make sure this matches the CHUNKSIZE in the 'getfile.bas' client program on the CMM2
COM_SPEED = 115200
COUNT = 0

while 1:
	s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
	s.bind((TCP_IP, TCP_PORT))
	s.listen(1)
	conn, addr = s.accept()
	print 'Connection address:', addr
	data = conn.recv(BUFFER_SIZE)
	if not data: break
	if "SEND" in data:
		print("--> "+data),
		FILENAME = data[5:]										# get filename
		FILENAME = '%s\%s' % (DIR,FILENAME)		# append UL\ directory to it, modify/remove to fit your needs
		if os.path.isfile(FILENAME):
			size = os.path.getsize(FILENAME)
			print(str(size)+" -->"),
			conn.send(str(size)+"|")
			time.sleep(.5)
			with open(FILENAME, 'rb') as openfileobject:
				for chunk in iter(partial(openfileobject.read, CHUNKSIZE), b''):
					conn.send(chunk)
					while 1:
						data = conn.recv(BUFFER_SIZE)
						if "RS" in data:		# resend current chunk
							print("R"),
							conn.send(chunk)
						if "ER" in data:		# error and exit
							print("Error, exit")	
							exit
						if "OK" in data:		# send next chunk
							break
				print "Done"
		else:
			print("--> Could not open "+FILENAME+"?")
			conn.send("0|")
		conn.close()
		s.close()
	else:
		print "received:", data
